from api_graphql.abc.input_abc import InputABC


class UserCreateInput(InputABC):

    def __init__(self, src: dict):
        InputABC.__init__(self, src)

        self._keycloak_id = self.option("keycloakId", str, required=True)
        self._roles = self.option("roles", list[int], default=[])

    @property
    def keycloak_id(self) -> str:
        return self._keycloak_id

    @property
    def roles(self) -> list[int]:
        return self._roles
